SDL_PremultiplyAlpha(3)

NAME
SDL_PremultiplyAlpha - Premultiply the alpha on a block of pixels.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_PremultiplyAlpha(int width, int height, SDL_PixelFormatEnum src_format, const void *src, int src_pitch, SDL_PixelFormatEnum dst_format, void *dst, int dst_pitch);

DESCRIPTION
This is safe to use with src == dst, but not for other overlapping areas. This function is currently only implemented for SDL_PIXELFORMAT_ARGB8888 .

FUNCTION PARAMETERS

width
    the width of the block to convert, in pixels

height
    the height of the block to convert, in pixels

src_format
    an SDL_PixelFormatEnum
     value of the src pixels format

src a pointer to the source pixels

src_pitch
    the pitch of the source pixels, in bytes

dst_format
    an SDL_PixelFormatEnum
     value of the dst pixels format

dst a pointer to be filled in with premultiplied pixel data

dst_pitch
    the pitch of the destination pixels, in bytes

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.